package com.ym.mec.collectfee.entity;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(mec_course):
 */
@XStreamAlias("course")
public class MecCourse {
	
	/**  */
	private Integer classId;

	/**  */
	private Integer classType;
	
	/**  */
	private String className;
	
	/**  */
	private Integer classForm;
	
	/**  */
	private Integer courseId;
	
	/**  */
	private String subNames;
	
	/**  */
	private Integer studentId;
	
	/**  */
	private String realName;
	
	/**  */
	private Integer chargeType;
	
	/**  */
	private Integer chargeAcct;
	
	/**  */
	private Integer chargeMode;
	
	/**  */
	private java.math.BigDecimal price;
	
	/**  */
	private String planBegin;
	
	/**  */
	private Integer planCycle;
	
	/**  */
	private Integer duration;
	
	/**  */
	private String teaNames;
	
	/**  */
	private java.math.BigDecimal tuBalance;
	
	/**  */
	private java.math.BigDecimal lsBalance;
	
	/**  */
	private Integer buyCount;

	public Integer getClassType() {
		return classType;
	}

	public void setClassType(Integer classType) {
		this.classType = classType;
	}
			
	public void setClassId(Integer classId){
		this.classId = classId;
	}
	
	public Integer getClassId(){
		return this.classId;
	}
			
	public void setClassName(String className){
		this.className = className;
	}
	
	public String getClassName(){
		return this.className;
	}
			
	public void setClassForm(Integer classForm){
		this.classForm = classForm;
	}
	
	public Integer getClassForm(){
		return this.classForm;
	}
			
	public void setCourseId(Integer courseId){
		this.courseId = courseId;
	}
	
	public Integer getCourseId(){
		return this.courseId;
	}

	public String getSubNames() {
		return subNames;
	}

	public void setSubNames(String subNames) {
		this.subNames = subNames;
	}

	public void setStudentId(Integer studentId){
		this.studentId = studentId;
	}
	
	public Integer getStudentId(){
		return this.studentId;
	}
			
	public void setRealName(String realName){
		this.realName = realName;
	}
	
	public String getRealName(){
		return this.realName;
	}
			
	public void setChargeType(Integer chargeType){
		this.chargeType = chargeType;
	}
	
	public Integer getChargeType(){
		return this.chargeType;
	}
			
	public void setChargeAcct(Integer chargeAcct){
		this.chargeAcct = chargeAcct;
	}
	
	public Integer getChargeAcct(){
		return this.chargeAcct;
	}
			
	public void setChargeMode(Integer chargeMode){
		this.chargeMode = chargeMode;
	}
	
	public Integer getChargeMode(){
		return this.chargeMode;
	}
			
	public void setPrice(java.math.BigDecimal price){
		this.price = price;
	}
	
	public java.math.BigDecimal getPrice(){
		return this.price;
	}
			
	public void setPlanBegin(String planBegin){
		this.planBegin = planBegin;
	}
	
	public String getPlanBegin(){
		return this.planBegin;
	}
			
	public void setPlanCycle(Integer planCycle){
		this.planCycle = planCycle;
	}
	
	public Integer getPlanCycle(){
		return this.planCycle;
	}
			
	public void setDuration(Integer duration){
		this.duration = duration;
	}
	
	public Integer getDuration(){
		return this.duration;
	}
			
	public void setTeaNames(String teaNames){
		this.teaNames = teaNames;
	}
	
	public String getTeaNames(){
		return this.teaNames;
	}
			
	public void setTuBalance(java.math.BigDecimal tuBalance){
		this.tuBalance = tuBalance;
	}
	
	public java.math.BigDecimal getTuBalance(){
		return this.tuBalance;
	}
			
	public void setLsBalance(java.math.BigDecimal lsBalance){
		this.lsBalance = lsBalance;
	}
	
	public java.math.BigDecimal getLsBalance(){
		return this.lsBalance;
	}
			
	public void setBuyCount(Integer buyCount){
		this.buyCount = buyCount;
	}
	
	public Integer getBuyCount(){
		return this.buyCount;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
